<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"

    android:layout_width="match_parent"
    android:layout_height="match_parent"
    >

    <!--- Modulo de logeo -->
    <TextView
        android:paddingTop="20dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="Càlculo de pago de nomina"
        android:textStyle="bold"
        android:textSize="25dp"
        android:textColor="@color/black"
        android:gravity="center_horizontal"
        tools:ignore="MissingConstraints">
    </TextView>
    <!--- Alineacion de los elementos de manera VERTICAL -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:paddingBottom="20dp"
        android:paddingTop="20dp"
        android:gravity="center">
        <TextView
            android:paddingTop="40dp"
            android:id="@+id/lblUsuario"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:textColor="@color/black"
            android:textSize="20dp"></TextView>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingBottom="20dp"
            android:paddingTop="20dp">
            <TextView
                android:id="@+id/lblNoRecibo"
                android:layout_width="180dp"
                android:layout_height="wrap_content"
                android:text="Numero de recibo:"
                android:textSize="20dp"
                android:textColor="@color/black"
                android:gravity="center_horizontal">
            </TextView>
            <EditText
                android:layout_width="220dp"
                android:layout_height="wrap_content"
                android:id="@+id/txtNoRecibo"
                android:textAlignment="center"
                android:inputType="number"
                android:gravity="center_horizontal">
            </EditText>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingBottom="20dp"
            >
            <TextView
                android:id="@+id/lblNombre"
                android:layout_width="180dp"
                android:layout_height="wrap_content"
                android:text="Nombre:"
                android:textSize="20dp"
                android:paddingLeft="17dp"
                android:textColor="@color/black"
                android:gravity="left">
            </TextView>
            <EditText
                android:layout_width="220dp"
                android:layout_height="wrap_content"
                android:id="@+id/txtNombre"
                android:textAlignment="center"
                android:gravity="center_horizontal">
            </EditText>

        </LinearLayout>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Horas trabajadas:"
            android:textSize="20dp"
            android:gravity="left"
            android:paddingLeft="17dp"></TextView>
        <EditText
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:hint=""
            android:id="@+id/txtHr"
            android:textSize="20dp"
            android:inputType="number"
            android:gravity="left"
            android:paddingLeft="17dp"
            android:layout_gravity="center">
        </EditText>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Horas extra:"
            android:textSize="20dp"
            android:gravity="left"
            android:paddingLeft="17dp"></TextView>
        <EditText
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:hint=""
            android:id="@+id/txtExtras"
            android:inputType="number"
            android:textSize="20dp"
            android:gravity="left"
            android:paddingLeft="17dp"
            android:layout_gravity="center">
        </EditText>
    <!--PUESTOS DE TRABAJO-->
        <RadioGroup
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center"
            android:id="@+id/rdbPuesto"
            >
            <!--TIPOS-->
            <RadioButton android:id="@+id/rdbAux"
                android:textSize="18dp"
                android:paddingLeft="15dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Auxiliar" />
            <RadioButton android:id="@+id/rdbAlb"
                android:textSize="18dp"
                android:layout_margin="15dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Albañil" />
            <RadioButton android:id="@+id/rdbIng"
                android:layout_margin="15dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Ing. Obra"
                android:textSize="18dp" />
        </RadioGroup>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="180dp"
                android:layout_height="wrap_content"
                android:text="Subtotal"
                android:textSize="20dp"
                android:textColor="@color/black"
                android:gravity="center_horizontal">
            </TextView>
            <EditText
                android:layout_width="220dp"
                android:layout_height="wrap_content"
                android:id="@+id/txtSubtotal"
                android:textAlignment="center"
                android:gravity="center_horizontal"
                tools:ignore="DuplicateIds">
            </EditText>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="180dp"
                android:layout_height="wrap_content"
                android:text="Impuesto"
                android:textSize="20dp"
                android:textColor="@color/black"
                android:gravity="center_horizontal">
            </TextView>
            <EditText
                android:layout_width="220dp"
                android:layout_height="wrap_content"
                android:id="@+id/txtImpuesto"
                android:textAlignment="center"
                android:gravity="center_horizontal">
            </EditText>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="180dp"
                android:layout_height="wrap_content"
                android:text="Total a pagar"
                android:textSize="20dp"
                android:textColor="@color/black"
                android:gravity="center_horizontal">
            </TextView>
            <EditText
                android:layout_width="220dp"
                android:layout_height="wrap_content"
                android:id="@+id/txtTotal"
                android:textAlignment="center"
                android:gravity="center_horizontal">
            </EditText>

        </LinearLayout>
        <Button
            android:layout_marginTop="40dp"
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:id="@+id/btnCalcular"
            android:text="Calcular"
            android:textSize="20dp">
        </Button>
        <Button
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:id="@+id/btnLimpiar"
            android:textSize="20dp"
            android:text="Limpiar">
        </Button>
        <Button
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:textSize="20dp"
            android:id="@+id/btnRegresar"
            android:text="Regresar">
        </Button>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>